Topic:
  description: A research topic that collects data
  properties:
    ID:
      description: Record Id
      type: string
    CreatedByID:
      description: Created By User ID
      type: string
      x-nullable: true
    CreatedDate:
      description: Created Date
      type: string
      x-nullable: true
    Description:
      description: Topic Description
      type: string
      x-nullable: true
    Factors:
      description: The list of Factors used to analyze this industry
      items:
        $ref: "./factor.yaml#/Factor"
      type: array
      x-nullable: true
    LastModifiedByID:
      description: Last Modified By User ID
      type: string
      x-nullable: true
    LastModifiedDate:
      description: Last Modified Date
      type: string
      x-nullable: true
    Name:
      description: Topic Name
      type: string
      x-nullable: true
    ParentTopicID:
      description: The ID of the Parent Topic
      type: string
      x-nullable: true
    Slug:
      description: The CMS Slug for this Topic
      type: string
      x-nullable: true
  type: object
